/*
 * Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung - Bibliothek
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.puk.param.lib.daten;

import java.util.List;

/**
 * Repräsentiert eine Attributgruppe, als Liste von Attributen.
 *
 * @author BitCtrl Systems GmbH, Schumann, Peuker
 */
public class Datensatz extends Attributliste {

	/**
	 * Versions-ID für die Serialisierung des Objekts.
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Konstruiert einen leeren Datensatz mit dem angegebenen Namen (die PID der
	 * Attributgruppe).
	 *
	 * @param name
	 *            der Name
	 */
	Datensatz(final String name) {
		super(name);
	}

	/**
	 * Konstruiert einen Datensatz und trägt die übergebenen Attribute ein.
	 *
	 * @param name
	 *            der Name des Datensatzes (die PID der Attributgruppe)
	 * @param liste
	 *            die übergebenen Attribute
	 */
	public Datensatz(final String name, final List<Attribut<?>> liste) {
		super(name, liste);
	}

	/**
	 * liefert die gültigkeit eines Datensatzes. Ein Datensatz ist gültig, wenn
	 * er mindestens einen Eintrag in seiner Attributliste enthält.
	 *
	 * @return die gültigkeit
	 */
	boolean isValid() {
		boolean result = false;
		if (get().size() > 0) {
			result = true;
		}
		return result;
	}
}
